MONGOC_APM_COMMAND_STARTED_GET_REQUEST_ID(3)

NAME
mongoc_apm_command_started_get_request_id - mongoc_apm_command_started_get_request_id()

SYNOPSIS

int64_t
mongoc_apm_command_started_get_request_id (
   const mongoc_apm_command_started_t *event);

Returns this event's wire-protocol request id. Use this number to correlate client-side events with server log messages.

PARAMETERS

•   event: A mongoc_apm_command_started_t.

RETURNS

The event's request id.

SEE ALSO

Introduction to Application Performance Monitoring

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc